exports.linea9 = function(navController) {

var win1 = Titanium.UI.createWindow({  
    title:'Metro MX - Linea 9',
    backgroundColor: '#000',
    backgroundImage: 'b.jpg'
});


var etiqueta1 = Ti.UI.createLabel({
	top: 10,
	left: 10,
	text:'Origen: Pantitlan',
    height:'auto',
    width:'auto',
    shadowColor:'#aaa',
    shadowOffset:{x:5,y:5},
    color:'#000',
    font:{fontSize:20},
    //textAlign:'center',
    //leftimage: 'linea.png'
});
win1.add(etiqueta1);

var etiqueta2 = Ti.UI.createLabel({
	top: 50,
	left: 10,
	text:'Destino : Tacubaya',
    height:'auto',
    width:'auto',
    shadowColor:'#aaa',
    shadowOffset:{x:5,y:5},
    color:'#000',
    font:{fontSize:20},
    //textAlign:'center',
    leftimage: 'linea.png'
});
win1.add(etiqueta1);
win1.add(etiqueta2)

win1.activity.onCreateOptionsMenu = function(e) {
		var menu = e.menu;
		
		var m1 = menu.add({ title : 'Cerrar Ventana' });
		m1.addEventListener('click', function(e) {
			win1.close();
		});
	};

win1.activity.onPrepareOptionsMenu = function(e) {
		var menu = e.menu;
		
		var mi = menu.findItem(2);
		if (mi == null) {
			mi = menu.add({
				itemId : 2,
				order : 1,
				title : 'Mostrar Mapa Completo'
			});
			mi.addEventListener('click', function(e) {
				
				var linea9 = require('mapas/linea9').linea9;
				navController.open(new linea9(navController));
			});
		}
	};




var data = [
{title:"Pantitlan", color: '#000', leftImage: 'linea9.png', rightImage: 'lineaa.png', font:{fontSize:20}},
{title:"Puebla", color: '#000', leftImage: 'linea9.png', font: {fontSize:20}},
{title:"Ciudad Deportiva", color: '#000', leftImage: 'linea9.png', font: {fontSize:20}},
{title:"Velodromo", color: '#000', leftImage: 'linea9.png', font: {fontSize:20}},
{title:"Mixihuca", color: '#000', leftImage: 'linea9.png', font: {fontSize:20}},
{title:"Jamaica", color: '#000', leftImage: 'linea9.png', rightImage: 'linea4.png', font: {fontSize:20}},
{title:"Chabacano", color: '#000', leftImage: 'linea9.png', rightImage: 'linea2.png', font: {fontSize:20}},
{title:"Lazaro Cardenas", color: '#000', leftImage: 'linea9.png', font: {fontSize:20}},
{title:"Centro Medico", color: '#000', leftImage: 'linea9.png', rightImage: 'linea3.png', font: {fontSize:20}},
{title:"Chilpancingo", color: '#000', leftImage: 'linea9.png', font: {fontSize:20}},
{title:"Patriotismo", color: '#000', leftImage: 'linea9.png', font: {fontSize:20}},
{title:"Tacubaya", color: '#000', leftImage: 'linea9.png', rightImage: 'linea1.png', font: {fontSize:20}},

];

var table = Titanium.UI.createTableView(
	{data:data,
	 left: 10,
	 top: 80
	}
	//left: '20'
);

table.addEventListener("click", function(e){
	switch(e.index){
		case 0:
			var pantitlan = require('estaciones/pantitlan').pantitlan;
			navController.open(new pantitlan(navController));
			break;
		case 1:
			var puebla = require('estaciones/puebla').puebla;
			navController.open(new puebla(navController));
			break;
		case 2:
			var deportiva = require('estaciones/deportiva').deportiva;
			navController.open(new deportiva(navController));
			break;
		case 3:
			var velodromo = require('estaciones/velodromo').velodromo;
			navController.open(new velodromo(navController));
			break;
		case 4:
			var mixihuca = require('estaciones/mixihuca').mixihuca;
			navController.open(new mixihuca(navController));
			break;
		case 5:
			var jamaica = require('estaciones/jamaica').jamaica;
			navController.open(new jamaica(navController));
			break;
		case 6:
			var chabacano = require('estaciones/chabacano').chabacano;
			navController.open(new chabacano(navController));
			break;
		case 7:
			var lazaro = require('estaciones/lazaro').lazaro;
			navController.open(new lazaro(navController));
			break;
		case 8:
			var centromedico = require('estaciones/centromedico').centromedico;
			navController.open(new centromedico(navController));
			break;
		case 9:
			var chilpancingo= require('estaciones/chilpancingo').chilpancingo;
			navController.open(new chilpancingo(navController));
			break;
		case 10:
			var patriotismo = require('estaciones/patriotismo').patriotismo;
			navController.open(new patriotismo(navController));
			break;
		case 11:
			var tacubaya = require('estaciones/tacubaya').tacubaya;
			navController.open(new tacubaya(navController));
			break;
		
		}//end switch
	});//end addEventListener
win1.add(table);
return win1;
};