exports.linea5 = function(navController) {

var win1 = Titanium.UI.createWindow({  
    title:'Metro MX - Linea 5',
    backgroundColor: '#000',
    backgroundImage: 'b.jpg'
});


var etiqueta1 = Ti.UI.createLabel({
	top: 10,
	left: 10,
	text:'Origen: Pantitlan',
    height:'auto',
    width:'auto',
    shadowColor:'#aaa',
    shadowOffset:{x:5,y:5},
    color:'#000',
    font:{fontSize:20},
    //textAlign:'center',
    //leftimage: 'linea.png'
});
win1.add(etiqueta1);

var etiqueta2 = Ti.UI.createLabel({
	top: 50,
	left: 10,
	text:'Destino : Politecnico',
    height:'auto',
    width:'auto',
    shadowColor:'#aaa',
    shadowOffset:{x:5,y:5},
    color:'#000',
    font:{fontSize:20},
    //textAlign:'center',
    leftimage: 'linea.png'
});
win1.add(etiqueta1);
win1.add(etiqueta2)


win1.activity.onCreateOptionsMenu = function(e) {
		var menu = e.menu;
		
		var m1 = menu.add({ title : 'Cerrar Ventana' });
		m1.addEventListener('click', function(e) {
			win1.close();
		});
	};

win1.activity.onPrepareOptionsMenu = function(e) {
		var menu = e.menu;
		
		var mi = menu.findItem(2);
		if (mi == null) {
			mi = menu.add({
				itemId : 2,
				order : 1,
				title : 'Mostrar Mapa Completo'
			});
			mi.addEventListener('click', function(e) {
				
				var linea5 = require('mapas/linea5').linea5;
				navController.open(new linea5(navController));
			});
		}
	};



var data = [
{title:"Pantitlan", color: '#000', leftImage: 'linea5.png', rightImage: 'lineaa.png', font:{fontSize:20}},
{title:"Hangares", color: '#000', leftImage: 'linea5.png', font: {fontSize:20}},
{title:"Terminal Aerea", color: '#000', leftImage: 'linea5.png', font: {fontSize:20}},
{title:"Oceania", color: '#000', leftImage: 'linea5.png', rightImage: 'lineab.png',font: {fontSize:20}},
{title:"Aragon", color: '#000', leftImage: 'linea5.png', font: {fontSize:20}},
{title:"Eduardo Molina", color: '#000', leftImage: 'linea5.png', font: {fontSize:20}},
{title:"Consulado", color: '#000', leftImage: 'linea5.png', rightImage: 'linea4.png', font: {fontSize:20}},
{title:"Villa Gomez", color: '#000', leftImage: 'linea5.png', font: {fontSize:20}},
{title:"Misterios", color: '#000', leftImage: 'linea5.png', font: {fontSize:20}},
{title:"La Raza", color: '#000', leftImage: 'linea5.png', rightImage: 'linea3.png', font: {fontSize:20}},
{title:"Autobuses del Norte", color: '#000', leftImage: 'linea5.png', font: {fontSize:20}},
{title:"Instituto del Petroleo",color: '#000', leftImage: 'linea5.png', rightImage: 'linea6.png', font: {fontSize:20}},
{title:"Politecnico", color: '#000', leftImage: 'linea5.png', font: {fontSize:20}},

];

var table = Titanium.UI.createTableView(
	{data:data,
	 left: 10,
	 top: 80
	}
	//left: '20'
);

table.addEventListener("click", function(e){
	switch(e.index){
		case 0:
			var pantitlan= require('estaciones/pantitlan').pantitlan;
			navController.open(new pantitlan(navController));
			break;
		case 1:
			var hangares = require('estaciones/hangares').hangares;
			navController.open(new hangares(navController));
			break;
		case 2:
			var terminal = require('estaciones/terminal').terminal;
			navController.open(new terminal(navController));
			break;
		case 3:
			var oceania = require('estaciones/oceania').ocenia;
			navController.open(new oceania(navController));
			break;
		case 4:
			var aragon = require('estaciones/aragon').aragon;
			navController.open(new aragon(navController));
			break;
		case 5:
			var eduardo = require('estaciones/eduardo').eduardo;
			navController.open(new eduardo(navController));
			break;
		case 6:
			var consulado = require('estaciones/consulado').consulado;
			navController.open(new consulado(navController));
			break;
		case 7:
			var villagomez = require('estaciones/villagomez').villagomez;
			navController.open(new villagomez(navController));
			break;
		case 8:
			var misterios = require('estaciones/misterios').misterios;
			navController.open(new misterios(navController));
			break;
		case 9:
			var laraza = require('estaciones/laraza').laraza;
			navController.open(new laraza(navController));
			break;
		case 10:
			var autobuses = require('estaciones/autobuses').autobuses;
			navController.open(new autobuses(navController));
			break;
		case 11:
			var instituto = require('estaciones/instituto').instituto;
			navController.open(new instituto(navController));
			break;
		case 12:
			var politecnico = require('estaciones/politecnico').politecnico;
			navController.open(new politecnico(navController));
			break;
		
		}//end switch
	});//end addEventListener
win1.add(table);
return win1;
};